Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdfa
Class RDFa11ExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
              org.apache.any23.extractor.rdfa.RDFa11ExtractorTest

    public class RDFa11ExtractorTest

extends AbstractRDFaExtractorTestCase

Reference test class for `RDFa11Extractor` class.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary

Fields inherited from class org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
`vDCTERMS, vFOAF`

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`RDFa11ExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testExplicitDatatypeDeclaration()` This test checks the behavior of the RDFa extraction where the datatype of a property is explicitly set.
`void` | `testObjectResourceConversion()` This test verifies the correct object resource conversion.
`void` | `testOpenGraphStructuredProperties()` Tests the correct support of the new Open Graph Protocol Structured Properties.
`void` | `testRDFa10Extraction()` Taken from the GoodRelations test cases.
`void` | `testRDFa11Extraction()` Taken from the GoodRelations test cases.
`void` | `testRelRevSupport()` This test verifies the correct REL/REV attribute usage.
`void` | `testRelWithHref()` Tests the correct behavior of REL and HREF.
`void` | `testTolerantParsing()` Tests that the default parser settings enable tolerance in data type parsing.
`void` | `testVocabSupport()` Tests the @vocab support.

Methods inherited from class org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
`testBasic, testDrupalTestPage, testEmptyDatatypeDeclarationWithInnerXMLTags, testIncompleteTripleManagement, testRDFa11CURIEs`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFa11ExtractorTest

    public RDFa11ExtractorTest()

Method Detail

### testObjectResourceConversion

    public void testObjectResourceConversion()
                                      throws org.openrdf.repository.RepositoryException

  This test verifies the correct object resource conversion.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testExplicitDatatypeDeclaration

    public void testExplicitDatatypeDeclaration()
                                         throws org.openrdf.repository.RepositoryException

  This test checks the behavior of the RDFa extraction where the datatype of a property is explicitly set. For details see the RDFa in XHTML: Syntax and Processing recommendation.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelWithHref

    public void testRelWithHref()
                         throws org.openrdf.repository.RepositoryException

  Tests the correct behavior of REL and HREF.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRelRevSupport

    public void testRelRevSupport()
                           throws org.openrdf.repository.RepositoryException

  This test verifies the correct REL/REV attribute usage.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testVocabSupport

    public void testVocabSupport()
                          throws org.openrdf.repository.RepositoryException

  Tests the @vocab support.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testTolerantParsing

    public void testTolerantParsing()

  Tests that the default parser settings enable tolerance in data type parsing.

### testRDFa10Extraction

    public void testRDFa10Extraction()
                              throws org.openrdf.repository.RepositoryException,
                                     org.openrdf.rio.RDFHandlerException,
                                     IOException,
                                     org.openrdf.rio.RDFParseException

  Taken from the GoodRelations test cases. It checks if the extraction is the same when the namespaces are defined in RDFa1.0.

  Throws:
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.rio.RDFParseException`

### testRDFa11Extraction

    public void testRDFa11Extraction()
                              throws org.openrdf.repository.RepositoryException,
                                     org.openrdf.rio.RDFHandlerException,
                                     IOException,
                                     org.openrdf.rio.RDFParseException

  Taken from the GoodRelations test cases. It checks if the extraction is the same when the namespaces are defined in RDFa1.1.

  Throws:
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.rio.RDFParseException`

### testOpenGraphStructuredProperties

    public void testOpenGraphStructuredProperties()
                                           throws IOException,
                                                  org.apache.any23.extractor.ExtractionException,
                                                  org.openrdf.repository.RepositoryException

  Tests the correct support of the new Open Graph Protocol Structured Properties.

  Throws:
    `IOException`
    `org.apache.any23.extractor.ExtractionException`
    `org.openrdf.repository.RepositoryException`

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.